Imports System.Collections.Generic
Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.WebSite.Library
Imports System.Web.Security
Imports System.Text.RegularExpressions
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
' Imports CharterDotCom.Common.Logging

Partial Class Controls_IdTheft
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.IdTheftPanel.Visible = True

        If Not IsPostBack Then
            State.DataSource = CType(Application(ApplicationKey.StateList), System.Data.DataTable)
            State.DataTextField = "Name"
            State.DataValueField = "Abbv"
            State.DataBind()
            State.Items.Insert(0, New ListItem(String.Empty, String.Empty))
        End If

    End Sub

    Protected Sub btnIdTheftEntry_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnIdTheftEntry.Click
        If Page.IsValid Then
            Dim FirstNameValue As String = FirstName.Text
            Dim LastNameValue As String = LastName.Text
            Dim AddressValue As String = Address.Text
            Dim CityValue As String = City.Text
            Dim StateValue As String = State.Text
            Dim ZipValue As String = Zip.Text
            Dim PhoneNumberValue As String = PhoneNumber.Text

            Dim SourceIPAddress As String = HttpContext.Current.Request.ServerVariables("REMOTE_ADDR")

            'Logger.WebLog("\UI\Account\idtheft")
            'Logger.IdTheftLog(FirstNameValue, LastNameValue, AddressValue, CityValue, StateValue, ZipValue, PhoneNumberValue)

            Me.IdTheftResultsPanel.Visible = True
            Me.IdTheftEntryPanel.Visible = False
        End If
    End Sub
End Class
